Subject: Re: [PATCH net-next] netdevsim: Register and unregister devlink traps on probe/remove device

From: Leon Romanovsky <[email-masked]>
Date: Tue, 26 Oct 2021 22:30:23 +0300

On Tue, Oct 26, 2021 at 12:02:34PM -0700, Jakub Kicinski wrote:
> On Tue, 26 Oct 2021 19:14:58 +0300 Leon Romanovsky wrote:
> > > By now I have spent more time arguing with you than you spent testing
> > > your patches and it's clear this discussion is not going anywhere.
> > > 
> > > Are you going to send a revert or I will? This is the fourth time I'm
> > > asking you.  
> > 
> > I understand your temptation to send revert, at the end it is the
> > easiest solution. However, I prefer to finish this discussion with
> > decision on how the end result in mlxsw will look like.
> > 
> > Let's hear Jiri and Jakub before we are rushing to revert something that
> > is correct in my opinion. We have whole week till merge window, and
> > revert takes less than 5 minutes, so no need to rush and do it before
> > direction is clear.
> 
> Having drivers in a broken state will not be conducive to calm discussions.
> Let's do a quick revert and unbreak the selftests.

No problem, I'll send a revert now, but what is your take on the direction?
IMHO, the mlxsw layering should be fixed. All this recursive devlink re-entry
looks horrible and adds unneeded complexity.

> 
> Speaking under correction, but the model of operation where we merge
> patches rather quickly necessarily must also mean we are quick to
> revert changes which broke stuff if the fix is not immediately obvious
> or disputed.